package cn.hmsoft.weixin.entity.request;

import cn.hmsoft.helper.JsonHelper;
import cn.hmsoft.helper.StringHelper;
import cn.hmsoft.log.LogHelper;
import cn.hmsoft.weixin.entity.request.TemplateSendRequestJson.Data;
import cn.hmsoft.weixin.entity.request.TemplateSendRequestJson.TemplateData;

/**************************
 * 
 * @note 发送模版消息
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-21 09:55:23
 * @version 4.0.0
 */
public class TemplateRequestEntity {

	/**************************
	 * 消息模版编号
	 */
	private String template_id;
	/***********************
	 * 点击消息跳转的超连接
	 */
	private String url;
	/************************
	 * 消息头字体颜色
	 */
	private String topcolor;
	/************************
	 * 标题内容，不能为空
	 */
	private String first_value;
	/************************
	 * 标题颜色
	 */
	private String first_color;

	private String keyword1_value;
	private String keyword1_color;
	private String keyword2_value;
	private String keyword2_color;
	private String keyword3_value;
	private String keyword3_color;
	private String keyword4_value;
	private String keyword4_color;
	private String keyword5_value;
	private String keyword5_color;
	private String remark_value;
	private String remark_color;
	private String open_id;
	
	private String thing1_value;
	private String thing2_value;
	private String thing3_value;
	private String thing4_value;
	private String thing5_value;
	private String thing6_value;
	private String thing7_value;
	private String thing8_value;
	private String thing9_value;
	private String thing10_value;
	private String thing11_value;
	private String thing12_value;
	private String thing13_value;
	private String thing14_value;
	private String thing15_value;
	private String thing16_value;
	private String thing17_value;
	private String thing18_value;
	
	private String time1_value;
	private String time2_value;
	private String time3_value;
	private String time4_value;
	private String time5_value;
	private String time6_value;
	private String time7_value;
	private String time8_value;
	private String time9_value;
	private String time10_value;
	private String time11_value;
	private String time12_value;
	private String time13_value;
	private String time14_value;
	private String time15_value;
	private String time16_value;
	private String time17_value;
	private String time18_value;
	
	private String amount1_value;
	private String amount2_value;
	private String amount3_value;
	private String amount4_value;
	private String amount5_value;
	private String amount6_value;
	private String amount7_value;
	private String amount8_value;
	private String amount9_value;
	private String amount10_value;
	private String amount11_value;
	private String amount12_value;
	private String amount13_value;
	private String amount14_value;
	private String amount15_value;
	private String amount16_value;
	private String amount17_value;
	private String amount18_value;
	
	
	public String getOpen_id() {
		return open_id;
	}

	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getTopcolor() {
		return topcolor;
	}

	public void setTopcolor(String topcolor) {
		this.topcolor = topcolor;
	}

	public String getFirst_value() {
		return first_value;
	}

	public void setFirst_value(String first_value) {
		this.first_value = first_value;
	}

	public String getFirst_color() {
		return first_color;
	}

	public void setFirst_color(String first_color) {
		this.first_color = first_color;
	}

	public String getKeyword1_value() {
		return keyword1_value;
	}

	public void setKeyword1_value(String keyword1_value) {
		this.keyword1_value = keyword1_value;
	}

	public String getKeyword1_color() {
		return keyword1_color;
	}

	public void setKeyword1_color(String keyword1_color) {
		this.keyword1_color = keyword1_color;
	}

	public String getKeyword2_value() {
		return keyword2_value;
	}

	public void setKeyword2_value(String keyword2_value) {
		this.keyword2_value = keyword2_value;
	}

	public String getKeyword2_color() {
		return keyword2_color;
	}

	public void setKeyword2_color(String keyword2_color) {
		this.keyword2_color = keyword2_color;
	}

	public String getKeyword3_value() {
		return keyword3_value;
	}

	public void setKeyword3_value(String keyword3_value) {
		this.keyword3_value = keyword3_value;
	}

	public String getKeyword3_color() {
		return keyword3_color;
	}

	public void setKeyword3_color(String keyword3_color) {
		this.keyword3_color = keyword3_color;
	}

	public String getKeyword4_value() {
		return keyword4_value;
	}

	public void setKeyword4_value(String keyword4_value) {
		this.keyword4_value = keyword4_value;
	}

	public String getKeyword4_color() {
		return keyword4_color;
	}

	public void setKeyword4_color(String keyword4_color) {
		this.keyword4_color = keyword4_color;
	}

	public String getKeyword5_value() {
		return keyword5_value;
	}

	public void setKeyword5_value(String keyword5_value) {
		this.keyword5_value = keyword5_value;
	}

	public String getKeyword5_color() {
		return keyword5_color;
	}

	public void setKeyword5_color(String keyword5_color) {
		this.keyword5_color = keyword5_color;
	}

	public String getRemark_value() {
		return remark_value;
	}

	public void setRemark_value(String remark_value) {
		this.remark_value = remark_value;
	}

	public String getRemark_color() {
		return remark_color;
	}

	public void setRemark_color(String remark_color) {
		this.remark_color = remark_color;
	}

	public String getTemplate_id() {
		return template_id;
	}

	public TemplateRequestEntity(String template_id,String open_id, String title, String content) {
		this.template_id = template_id;
		this.open_id = open_id;
		this.first_value = title;
		this.keyword1_value = content;
	}

	public TemplateSendRequestJson getRequestJson() {
		TemplateData first = new TemplateData();
		// 标题
		Data data = new Data();
		first.setValue(first_value);
		if (StringHelper.isNotEmpty(first_color))
			first.setColor(first_color);
		data.setFirst(first);
		if (StringHelper.isNotEmpty(keyword1_value)) {
			TemplateData key = new TemplateData();
			key.setValue(keyword1_value);
			if (StringHelper.isNotEmpty(keyword1_color))
				key.setColor(keyword1_color);
			data.setKeyword1(key);
		}
		if (StringHelper.isNotEmpty(keyword2_value)) {
			TemplateData key = new TemplateData();
			key.setValue(keyword2_value);
			if (StringHelper.isNotEmpty(keyword2_color))
				key.setColor(keyword2_color);
			data.setKeyword2(key);
		}
		if (StringHelper.isNotEmpty(keyword3_value)) {
			TemplateData key = new TemplateData();
			key.setValue(keyword3_value);
			if (StringHelper.isNotEmpty(keyword3_color))
				key.setColor(keyword3_color);
			data.setKeyword3(key);
		}
		if (StringHelper.isNotEmpty(keyword4_value)) {
			TemplateData key = new TemplateData();
			key.setValue(keyword4_value);
			if (StringHelper.isNotEmpty(keyword4_color))
				key.setColor(keyword4_color);
			data.setKeyword4(key);
		}
		if (StringHelper.isNotEmpty(keyword5_value)) {
			TemplateData key = new TemplateData();
			key.setValue(keyword5_value);
			if (StringHelper.isNotEmpty(keyword5_color))
				key.setColor(keyword5_color);
			data.setKeyword5(key);
		}
		if (StringHelper.isNotEmpty(remark_value)) {
			TemplateData key = new TemplateData();
			key.setValue(remark_value);
			if (StringHelper.isNotEmpty(remark_color))
				key.setColor(remark_color);
			data.setRemark(key);
		}
		//new
		if (StringHelper.isNotEmpty(this.thing1_value)) {
		      TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
		      key.setValue(this.thing1_value);
		      data.setThing1(key);
		} 
	    if (StringHelper.isNotEmpty(this.thing2_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing2_value);
	    	data.setThing2(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing3_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing3_value);
	    	data.setThing3(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing4_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing4_value);
	    	data.setThing4(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing5_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing5_value);
	    	data.setThing5(key);
	    }
		if (StringHelper.isNotEmpty(this.thing6_value)) {
		      TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
		      key.setValue(this.thing6_value);
		      data.setThing6(key);
		} 
	    if (StringHelper.isNotEmpty(this.thing7_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing7_value);
	    	data.setThing7(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing8_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing8_value);
	    	data.setThing8(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing9_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing9_value);
	    	data.setThing9(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing10_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing10_value);
	    	data.setThing10(key);
	    } 
		if (StringHelper.isNotEmpty(this.thing11_value)) {
		      TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
		      key.setValue(this.thing11_value);
		      data.setThing11(key);
		} 
	    if (StringHelper.isNotEmpty(this.thing12_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing12_value);
	    	data.setThing12(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing13_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing13_value);
	    	data.setThing13(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing14_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing14_value);
	    	data.setThing14(key);
	    } 
	    if (StringHelper.isNotEmpty(this.thing15_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing15_value);
	    	data.setThing15(key);
	    }
	    if (StringHelper.isNotEmpty(this.thing16_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing16_value);
	    	data.setThing16(key);
	    }
	    if (StringHelper.isNotEmpty(this.thing17_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing17_value);
	    	data.setThing17(key);
	    }
	    if (StringHelper.isNotEmpty(this.thing18_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.thing18_value);
	    	data.setThing18(key);
	    }
	    
	    if (StringHelper.isNotEmpty(this.time1_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time1_value);
	    	data.setTime1(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time2_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	      	key.setValue(this.time2_value);
	      	data.setTime2(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time3_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time3_value);
	    	data.setTime3(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time4_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time4_value);
	    	data.setTime4(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time5_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time5_value);
	    	data.setTime5(key);
	    }
	    if (StringHelper.isNotEmpty(this.time6_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time6_value);
	    	data.setTime6(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time7_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	      	key.setValue(this.time7_value);
	      	data.setTime7(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time8_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time8_value);
	    	data.setTime8(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time9_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time9_value);
	    	data.setTime9(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time10_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time10_value);
	    	data.setTime10(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.time11_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time11_value);
	    	data.setTime11(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time12_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	      	key.setValue(this.time12_value);
	      	data.setTime12(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time13_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time13_value);
	    	data.setTime13(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time14_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time14_value);
	    	data.setTime14(key);
	    } 
	    if (StringHelper.isNotEmpty(this.time15_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time15_value);
	    	data.setTime15(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.time16_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time16_value);
	    	data.setTime16(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.time17_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time17_value);
	    	data.setTime17(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.time18_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.time18_value);
	    	data.setTime18(key);	    
	    }
	    
	    if (StringHelper.isNotEmpty(this.amount1_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount1_value);
	    	data.setAmount1(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount2_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount2_value);
	    	data.setAmount2(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount3_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount3_value);
	    	data.setAmount3(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount4_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount4_value);
	    	data.setAmount4(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount5_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount5_value);
	    	data.setAmount5(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount6_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount6_value);
	    	data.setAmount6(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount7_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount7_value);
	    	data.setAmount7(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount8_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount8_value);
	    	data.setAmount8(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount9_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount9_value);
	    	data.setAmount9(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount10_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount10_value);
	    	data.setAmount10(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount11_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount11_value);
	    	data.setAmount11(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount12_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount12_value);
	    	data.setAmount12(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount13_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount13_value);
	    	data.setAmount13(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount14_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount14_value);
	    	data.setAmount14(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount15_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount15_value);
	    	data.setAmount15(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount16_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount16_value);
	    	data.setAmount16(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount17_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount17_value);
	    	data.setAmount17(key);	    
	    }
	    if (StringHelper.isNotEmpty(this.amount18_value)) {
	    	TemplateSendRequestJson.TemplateData key = new TemplateSendRequestJson.TemplateData();
	    	key.setValue(this.amount18_value);
	    	data.setAmount18(key);	    
	    }
	    
		TemplateSendRequestJson json = new TemplateSendRequestJson();
		if (StringHelper.isNotEmpty(url))
			json.setUrl(url);
		json.setTemplate_id(template_id);
		json.setData(data);
		json.setTouser(open_id);
		if (StringHelper.isNotEmpty(topcolor))
			json.setTopcolor(topcolor);
		LogHelper.info("2.消息发送json--->" + JsonHelper.fromObject(json));
		return json;
	}

	public String getThing1_value() {
		return thing1_value;
	}

	public void setThing1_value(String thing1_value) {
		this.thing1_value = thing1_value;
	}

	public String getThing2_value() {
		return thing2_value;
	}

	public void setThing2_value(String thing2_value) {
		this.thing2_value = thing2_value;
	}

	public String getThing3_value() {
		return thing3_value;
	}

	public void setThing3_value(String thing3_value) {
		this.thing3_value = thing3_value;
	}

	public String getThing4_value() {
		return thing4_value;
	}

	public void setThing4_value(String thing4_value) {
		this.thing4_value = thing4_value;
	}

	public String getThing5_value() {
		return thing5_value;
	}

	public void setThing5_value(String thing5_value) {
		this.thing5_value = thing5_value;
	}

	public String getThing6_value() {
		return thing6_value;
	}

	public void setThing6_value(String thing6_value) {
		this.thing6_value = thing6_value;
	}

	public String getThing7_value() {
		return thing7_value;
	}

	public void setThing7_value(String thing7_value) {
		this.thing7_value = thing7_value;
	}

	public String getThing8_value() {
		return thing8_value;
	}

	public void setThing8_value(String thing8_value) {
		this.thing8_value = thing8_value;
	}

	public String getThing9_value() {
		return thing9_value;
	}

	public void setThing9_value(String thing9_value) {
		this.thing9_value = thing9_value;
	}

	public String getThing10_value() {
		return thing10_value;
	}

	public void setThing10_value(String thing10_value) {
		this.thing10_value = thing10_value;
	}

	public String getThing11_value() {
		return thing11_value;
	}

	public void setThing11_value(String thing11_value) {
		this.thing11_value = thing11_value;
	}

	public String getThing12_value() {
		return thing12_value;
	}

	public void setThing12_value(String thing12_value) {
		this.thing12_value = thing12_value;
	}

	public String getThing13_value() {
		return thing13_value;
	}

	public void setThing13_value(String thing13_value) {
		this.thing13_value = thing13_value;
	}

	public String getThing14_value() {
		return thing14_value;
	}

	public void setThing14_value(String thing14_value) {
		this.thing14_value = thing14_value;
	}

	public String getThing15_value() {
		return thing15_value;
	}

	public void setThing15_value(String thing15_value) {
		this.thing15_value = thing15_value;
	}

	public String getTime1_value() {
		return time1_value;
	}

	public void setTime1_value(String time1_value) {
		this.time1_value = time1_value;
	}

	public String getTime2_value() {
		return time2_value;
	}

	public void setTime2_value(String time2_value) {
		this.time2_value = time2_value;
	}

	public String getTime3_value() {
		return time3_value;
	}

	public void setTime3_value(String time3_value) {
		this.time3_value = time3_value;
	}

	public String getTime4_value() {
		return time4_value;
	}

	public void setTime4_value(String time4_value) {
		this.time4_value = time4_value;
	}

	public String getTime5_value() {
		return time5_value;
	}

	public void setTime5_value(String time5_value) {
		this.time5_value = time5_value;
	}

	public String getTime6_value() {
		return time6_value;
	}

	public void setTime6_value(String time6_value) {
		this.time6_value = time6_value;
	}

	public String getTime7_value() {
		return time7_value;
	}

	public void setTime7_value(String time7_value) {
		this.time7_value = time7_value;
	}

	public String getTime8_value() {
		return time8_value;
	}

	public void setTime8_value(String time8_value) {
		this.time8_value = time8_value;
	}

	public String getTime9_value() {
		return time9_value;
	}

	public void setTime9_value(String time9_value) {
		this.time9_value = time9_value;
	}

	public String getTime10_value() {
		return time10_value;
	}

	public void setTime10_value(String time10_value) {
		this.time10_value = time10_value;
	}

	public String getTime11_value() {
		return time11_value;
	}

	public void setTime11_value(String time11_value) {
		this.time11_value = time11_value;
	}

	public String getTime12_value() {
		return time12_value;
	}

	public void setTime12_value(String time12_value) {
		this.time12_value = time12_value;
	}

	public String getTime13_value() {
		return time13_value;
	}

	public void setTime13_value(String time13_value) {
		this.time13_value = time13_value;
	}

	public String getTime14_value() {
		return time14_value;
	}

	public void setTime14_value(String time14_value) {
		this.time14_value = time14_value;
	}

	public String getTime15_value() {
		return time15_value;
	}

	public void setTime15_value(String time15_value) {
		this.time15_value = time15_value;
	}

	public String getAmount1_value() {
		return amount1_value;
	}

	public void setAmount1_value(String amount1_value) {
		this.amount1_value = amount1_value;
	}

	public String getAmount2_value() {
		return amount2_value;
	}

	public void setAmount2_value(String amount2_value) {
		this.amount2_value = amount2_value;
	}

	public String getAmount3_value() {
		return amount3_value;
	}

	public void setAmount3_value(String amount3_value) {
		this.amount3_value = amount3_value;
	}

	public String getAmount4_value() {
		return amount4_value;
	}

	public void setAmount4_value(String amount4_value) {
		this.amount4_value = amount4_value;
	}

	public String getAmount5_value() {
		return amount5_value;
	}

	public void setAmount5_value(String amount5_value) {
		this.amount5_value = amount5_value;
	}

	public String getAmount6_value() {
		return amount6_value;
	}

	public void setAmount6_value(String amount6_value) {
		this.amount6_value = amount6_value;
	}

	public String getAmount7_value() {
		return amount7_value;
	}

	public void setAmount7_value(String amount7_value) {
		this.amount7_value = amount7_value;
	}

	public String getAmount8_value() {
		return amount8_value;
	}

	public void setAmount8_value(String amount8_value) {
		this.amount8_value = amount8_value;
	}

	public String getAmount9_value() {
		return amount9_value;
	}

	public void setAmount9_value(String amount9_value) {
		this.amount9_value = amount9_value;
	}

	public String getAmount10_value() {
		return amount10_value;
	}

	public void setAmount10_value(String amount10_value) {
		this.amount10_value = amount10_value;
	}

	public String getAmount11_value() {
		return amount11_value;
	}

	public void setAmount11_value(String amount11_value) {
		this.amount11_value = amount11_value;
	}

	public String getAmount12_value() {
		return amount12_value;
	}

	public void setAmount12_value(String amount12_value) {
		this.amount12_value = amount12_value;
	}

	public String getAmount13_value() {
		return amount13_value;
	}

	public void setAmount13_value(String amount13_value) {
		this.amount13_value = amount13_value;
	}

	public String getAmount14_value() {
		return amount14_value;
	}

	public void setAmount14_value(String amount14_value) {
		this.amount14_value = amount14_value;
	}

	public String getAmount15_value() {
		return amount15_value;
	}

	public void setAmount15_value(String amount15_value) {
		this.amount15_value = amount15_value;
	}

	public void setTemplate_id(String template_id) {
		this.template_id = template_id;
	}

	public String getThing16_value() {
		return thing16_value;
	}

	public void setThing16_value(String thing16_value) {
		this.thing16_value = thing16_value;
	}

	public String getThing17_value() {
		return thing17_value;
	}

	public void setThing17_value(String thing17_value) {
		this.thing17_value = thing17_value;
	}

	public String getThing18_value() {
		return thing18_value;
	}

	public void setThing18_value(String thing18_value) {
		this.thing18_value = thing18_value;
	}

	public String getTime16_value() {
		return time16_value;
	}

	public void setTime16_value(String time16_value) {
		this.time16_value = time16_value;
	}

	public String getTime17_value() {
		return time17_value;
	}

	public void setTime17_value(String time17_value) {
		this.time17_value = time17_value;
	}

	public String getTime18_value() {
		return time18_value;
	}

	public void setTime18_value(String time18_value) {
		this.time18_value = time18_value;
	}

	public String getAmount16_value() {
		return amount16_value;
	}

	public void setAmount16_value(String amount16_value) {
		this.amount16_value = amount16_value;
	}

	public String getAmount17_value() {
		return amount17_value;
	}

	public void setAmount17_value(String amount17_value) {
		this.amount17_value = amount17_value;
	}

	public String getAmount18_value() {
		return amount18_value;
	}

	public void setAmount18_value(String amount18_value) {
		this.amount18_value = amount18_value;
	}
}
